from core.biome.desert import DesertBiome
from core.biome.mountains import MountainBiome
from core.biome.plains import PlainsBiome
from core.biome.scorched import ScorchedBiome

from siege import game


def register():
    game.events['load_biomes'].listen(handleLoadBiomes)


def unregister():
    game.events['load_biomes'].remove(handleLoadBiomes)


def handleLoadBiomes(biomes):
    biomes.append(DesertBiome())
    biomes.append(MountainBiome())
    biomes.append(PlainsBiome())
    biomes.append(ScorchedBiome())
